<!DOCTYPE html>
<html>
<head>
  <title>Component Preview</title>
  <meta name="viewport" content="width=device-width,initial-scale=1">
  <%= stylesheet_link_tag 'application', 'data-turbo-track': 'reload' %>
  <%= javascript_include_tag 'application', 'data-turbo-track': 'reload', defer: true %>
  <style type="text/css">
    body {
      position: relative;
      height: 100vh;
    }
    /* Toast fixes */
    .toast {
      display: block !important;
    }
  </style>
</head>
<body style="background-color: <%= params[:lookbook][:display][:bg_color] || 'inherit' %>;">
  <% if params[:lookbook][:display][:center] %>
    <div class="d-flex align-items-center justify-content-center" style="height: 100%;">
      <%= yield %>
    </div>
  <% else %>
    <div class="pt-3" style="max-width: <%= params[:lookbook][:display][:max_width] || '100%' %>; margin: 0 auto;">
      <%= yield %>
    </div>
  <% end %>
</body>
</html>
